summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
authorAndrew Grimberg <agrimberg@linuxfoundation.org>2015-12-10 10:18:01 -0800
committerAndrew Grimberg <agrimberg@linuxfoundation.org>2015-12-10 10:18:01 -0800
commite8c846324ab5fe82fa8f1dbc5307c2a60142fe7f (patch)
tree7425fd0fc5197f36cf2c626092f0622d73c9bfc6 /jjb
parent4cb9b265770ea923f9d300d220e8c16fc0bbd759 (diff)
Make the script fail build if mvn deploy fails
The script wasn't picking up a failed mvn deploy failure. This changes it so that we need an definite exit code of 0 to not fail the build. Change-Id: I094bf1e149f779061223496a0b2bc347a3705b5b Signed-off-by: Andrew Grimberg <agrimberg@linuxfoundation.org>
Diffstat (limited to 'jjb')
-rw-r--r--jjb/vpp/include-raw-vpp-maven-push.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/jjb/vpp/include-raw-vpp-maven-push.sh b/jjb/vpp/include-raw-vpp-maven-push.sh
index 3a72bd3d0..ad6c52516 100644
--- a/jjb/vpp/include-raw-vpp-maven-push.sh
+++ b/jjb/vpp/include-raw-vpp-maven-push.sh
@@ -39,7 +39,7 @@ function push_file ()
-gs $GLOBAL_SETTINGS_FILE -s $SETTINGS_FILE
# make sure the script bombs if we fail an upload
- if [ ! "$?" ]; then
+ if [ "$?" != '0' ]; then
echo "ERROR: There was an error with the upload"
exit 1
fi